package com.lymsh.yimiao.main.data.enumdata;

/**
 * Created by riecard on 15/9/28.
 */
public enum MouthAgeEnum {


    zero(0,"0月龄"),
    one(1,"1月龄"),
    two(2,"2月龄"),
    three(3,"3月龄"),
    four(4,"4月龄"),
    five(5,"5月龄"),
    six(6,"6月龄"),
    seven(7,"7月龄"),
    eight(8,"8月龄"),
    nine(9,"9月龄"),
    ten(10,"10月龄"),
    eleven(11,"11月龄"),
    oneYear(12,"一周岁"),
    oneYearHalf(18,"一岁半"),
    twoYear(24,"2周岁"),
    threeYear(36,"3周岁"),
    fourYear(48,"4周岁"),
    sixYear(72,"6周岁");

    private MouthAgeEnum(Integer id, String title) {
        this.id = id;
        this.title = title;
    }

    public static String getTitle(Integer id) {
        for (MouthAgeEnum e: MouthAgeEnum.values()) {
            if (e.getId() == id) {
                return e.getTitle();
            }
        }
        return "";
    }

    private Integer id;
    private String title;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
}
