package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedAreaMapper;
import com.lymsh.yimiao.main.data.model.MedArea;
import com.lymsh.yimiao.main.data.model.MedAreaQuery;
import com.lymsh.yimiao.main.data.service.MedAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MedAreaServiceImpl implements MedAreaService {

@Autowired
private MedAreaMapper medAreaMapper;

@Override
public void addMedArea(MedArea obj){medAreaMapper.addMedArea(obj);}
@Override
public void updateMedArea(MedArea obj){medAreaMapper.updateMedArea(obj);}
@Override
public void deleteMedArea (Integer id){medAreaMapper.deleteMedArea(id);}
@Override
public MedArea getMedArea (String id){return medAreaMapper.getMedArea(id);}
@Override
public int queryMedAreaCount (MedAreaQuery query){return medAreaMapper.queryMedAreaCount(query);}
@Override
public List<MedArea> queryMedArea (MedAreaQuery query){if (query.getNeed() != null) {query.mysqlBuild(medAreaMapper.queryMedAreaCount(query));}return medAreaMapper.queryMedArea(query);}

}