package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedInoculateOrderMapper;
import com.lymsh.yimiao.main.data.model.MedInoculateOrder;
import com.lymsh.yimiao.main.data.model.MedInoculateOrderQuery;
import com.lymsh.yimiao.main.data.service.MedInoculateOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MedInoculateOrderServiceImpl implements MedInoculateOrderService {

@Autowired
private MedInoculateOrderMapper medInoculateorderMapper;

@Override
public void addMedInoculateOrder(MedInoculateOrder obj){medInoculateorderMapper.addMedInoculateOrder(obj);}
@Override
public void updateMedInoculateOrder(MedInoculateOrder obj){medInoculateorderMapper.updateMedInoculateOrder(obj);}
@Override
public void deleteMedInoculateOrder (Integer id){medInoculateorderMapper.deleteMedInoculateOrder(id);}
@Override
public MedInoculateOrder getMedInoculateOrder (String id){return medInoculateorderMapper.getMedInoculateOrder(id);}
@Override
public int queryMedInoculateOrderCount (MedInoculateOrderQuery query){return medInoculateorderMapper.queryMedInoculateOrderCount(query);}
@Override
public List<MedInoculateOrder> queryMedInoculateOrder (MedInoculateOrderQuery query){if (query.getNeed() != null) {query.mysqlBuild(medInoculateorderMapper.queryMedInoculateOrderCount(query));}return medInoculateorderMapper.queryMedInoculateOrder(query);}

}