package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedOrganizationMapper;
import com.lymsh.yimiao.main.data.model.MedOrganization;
import com.lymsh.yimiao.main.data.model.MedOrganizationQuery;
import com.lymsh.yimiao.main.data.service.MedOrganizationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class MedOrganizationServiceImpl implements MedOrganizationService {

@Autowired
private MedOrganizationMapper medOrganizationMapper;

@Override
public void addMedOrganization(MedOrganization obj){medOrganizationMapper.addMedOrganization(obj);}
@Override
public void updateMedOrganization(MedOrganization obj){medOrganizationMapper.updateMedOrganization(obj);}
@Override
public void deleteMedOrganization (Integer id){medOrganizationMapper.deleteMedOrganization(id);}
@Override
public MedOrganization getMedOrganization (String id){return medOrganizationMapper.getMedOrganization(id);}
@Override
public int queryMedOrganizationCount (MedOrganizationQuery query){return medOrganizationMapper.queryMedOrganizationCount(query);}
@Override
public List<MedOrganization> queryMedOrganization (MedOrganizationQuery query){if (query.getNeed() != null) {query.mysqlBuild(medOrganizationMapper.queryMedOrganizationCount(query));}return medOrganizationMapper.queryMedOrganization(query);}

}