package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedVaccineNameMapper;
import com.lymsh.yimiao.main.data.model.MedVaccineName;
import com.lymsh.yimiao.main.data.model.MedVaccineNameQuery;
import com.lymsh.yimiao.main.data.service.MedVaccineNameService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MedVaccineNameServiceImpl implements MedVaccineNameService {

@Autowired
private MedVaccineNameMapper medVaccinenameMapper;

@Override
public void addMedVaccineName(MedVaccineName obj){medVaccinenameMapper.addMedVaccineName(obj);}
@Override
public void updateMedVaccineName(MedVaccineName obj){medVaccinenameMapper.updateMedVaccineName(obj);}
@Override
public void deleteMedVaccineName (Integer id){medVaccinenameMapper.deleteMedVaccineName(id);}
@Override
public MedVaccineName getMedVaccineName (String id){return medVaccinenameMapper.getMedVaccineName(id);}
@Override
public int queryMedVaccineNameCount (MedVaccineNameQuery query){return medVaccinenameMapper.queryMedVaccineNameCount(query);}
@Override
public List<MedVaccineName> queryMedVaccineName (MedVaccineNameQuery query){if (query.getNeed() != null) {query.mysqlBuild(medVaccinenameMapper.queryMedVaccineNameCount(query));}return medVaccinenameMapper.queryMedVaccineName(query);}

    @Override
    public List<MedVaccineName> queryVaccineNameList() {
        return medVaccinenameMapper.queryVaccineNameList();
    }
}