package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.YmNotificationsMapper;
import com.lymsh.yimiao.main.data.model.YmNotifications;
import com.lymsh.yimiao.main.data.model.YmNotificationsQuery;
import com.lymsh.yimiao.main.data.service.YmNotificationsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class YmNotificationsServiceImpl implements YmNotificationsService {

@Autowired
private YmNotificationsMapper ymNotificationsMapper;

@Override
public void addYmNotifications(YmNotifications obj){ymNotificationsMapper.addYmNotifications(obj);}
@Override
public void updateYmNotifications(YmNotifications obj){ymNotificationsMapper.updateYmNotifications(obj);}
@Override
public void deleteYmNotifications (Integer id){ymNotificationsMapper.deleteYmNotifications(id);}
@Override
public YmNotifications getYmNotifications (Integer id){return ymNotificationsMapper.getYmNotifications(id);}
@Override
public int queryYmNotificationsCount (YmNotificationsQuery query){return ymNotificationsMapper.queryYmNotificationsCount(query);}
@Override
public List<YmNotifications> queryYmNotifications (YmNotificationsQuery query){if (query.getNeed() != null) {query.mysqlBuild(ymNotificationsMapper.queryYmNotificationsCount(query));}return ymNotificationsMapper.queryYmNotifications(query);}

}