package com.lymsh.yimiao.main.data.util;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.methods.GetMethod;

/**
 * Created by Administrator on 2016/5/12 0012.
 */
public class ArticleUtil {

    public static String getArticlesImages() {
        HttpClient client = new HttpClient();
//        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.stage.healthbaby.com.cn/v1/imageArticles.action");
        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.healthbaby.com.cn/v1/imageArticles.action");
        try {
            client.executeMethod(get);
            String result = new String(get.getResponseBodyAsString());
            int statusCode = get.getStatusCode();
            if (statusCode==200){
                return result;
            }
            get.releaseConnection();
        }catch (Exception e){
            e.printStackTrace();
        }
        return null;
    }

    public static String getCategory(){
        HttpClient client = new HttpClient();
//        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.stage.healthbaby.com.cn/v1/category.action");
        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.healthbaby.com.cn/v1/category.action");
        try {
            client.executeMethod(get);
            String result = new String(get.getResponseBodyAsString());
            int statusCode = get.getStatusCode();
            if (statusCode==200){
                return result;
            }
            get.releaseConnection();
        }catch (Exception e){
            e.printStackTrace();
        }
        return null;
    }

    public static String getArticles(Integer categoryId,Integer page,Integer limit){
        HttpClient client = new HttpClient();
//        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.stage.healthbaby.com.cn/v1/yiMiaoArticles.action?categoryId="+categoryId+"&page="+page+"&limit="+limit);
        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.healthbaby.com.cn/v1/yiMiaoArticles.action?categoryId="+categoryId+"&page="+page+"&limit="+limit);
        try {
            client.executeMethod(get);
            String result = new String(get.getResponseBodyAsString());
            int statusCode = get.getStatusCode();
            get.releaseConnection();
            if (statusCode==200){
                return result;
            }

        }catch (Exception e){
            e.printStackTrace();
        }
        return null;
    }

    public static ArticleContext getArticles(Integer id){

        ArticleContext articleContext = new ArticleContext();

        HttpClient client = new HttpClient();
//        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.stage.healthbaby.com.cn/v1/article.action?id="+id);
        GetMethod get = new MessageUtil.UTF8GetMethod("http://ams.api.healthbaby.com.cn/v1/article.action?id="+id);
        try {
            client.executeMethod(get);
            String result = new String(get.getResponseBodyAsString());
            get.releaseConnection();
            int statusCode = get.getStatusCode();
            if (statusCode==200){
                articleContext = JsonUtil.str2Obj(result,ArticleContext.class);
                return articleContext;
            }

        }catch (Exception e){
            e.printStackTrace();
        }
        return articleContext;
    }


}
