package com.lymsh.yimiao.main.data.util;

import org.apache.commons.lang.StringUtils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class PhoneUtil {

    public static String md5(String plainText) {
        try {
            if(plainText==null){
                return null;
            }
            MessageDigest md = MessageDigest.getInstance("MD5");
            md.update(plainText.getBytes());
            byte b[] = md.digest();
            int i;
            StringBuffer buf = new StringBuffer("");
            for (int offset = 0; offset < b.length; offset++) {
                i = b[offset];
                if (i < 0)
                    i += 256;
                if (i < 16)
                    buf.append("0");
                buf.append(Integer.toHexString(i));
            }
            return buf.toString().toUpperCase();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static boolean isMobileNO(String mobiles) {

        Pattern p = Pattern.compile("^(((13[0-9]{1})|(15[0-9]{1})|(17[0-9]{1})|(18[0-9]{1}))+\\d{8})$");

        Matcher m = p.matcher(mobiles);

        return m.matches();
    }

    public static String isPhone(String str) {
        if(StringUtils.isNotBlank(str) && 10 < str.length()) {
            if(isMobileNO(str.substring(0, 11))) {
                return str.substring(0, 11);
            }
        }
        return null;
    }




    public static void main(String[] args) {
        //System.out.println(md5("123789456"));
        //3949ba59abbe56e057f20f88

        System.out.println(isPhone("13678024706edsadsa11"));

    }

}
