package com.lymsh.yimiao.main.data.dao;

import com.lymsh.yimiao.main.data.model.KidInoculationRecords;
import com.lymsh.yimiao.main.data.model.MedInoculateRecordQuery;
import com.lymsh.yimiao.main.data.model.MedKids;
import com.lymsh.yimiao.main.data.model.MedKidsQuery;

import java.util.List;

public interface MedKidsMapper {
    public void addMedKids(MedKids obj);

    public void updateMedKids(MedKids obj);

    public void deleteMedKids(Integer id);

    public MedKids getMedKids(String id);

    public int queryMedKidsCount(MedKidsQuery query);

    public List<MedKids> queryMedKids(MedKidsQuery query);

    public List<KidInoculationRecords> queryInoculationRecord(String kidId);

    public List<KidInoculationRecords> queryInoculationRecords(MedInoculateRecordQuery query);

}