package com.lymsh.yimiao.main.data.enumdata;

/**
 * Created by riecard on 15/9/28.
 */
public enum PositionEnum {



    zero("0","口服"),
    one("1","左上臂"),
    two("2","右上臂"),
    three("3","左臀"),
    four("4","右臀"),
    five("5","其他部位");

    private PositionEnum(String id, String title) {
        this.id = id;
        this.title = title;
    }

    public static String getTitle(String id) {
        for (PositionEnum e: PositionEnum.values()) {
            if (e.getId().equals(id)) {
                return e.getTitle();
            }
        }
        return "";
    }

    private String id;
    private String title;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
}
