package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedFactoryMapper;
import com.lymsh.yimiao.main.data.model.MedFactory;
import com.lymsh.yimiao.main.data.model.MedFactoryQuery;
import com.lymsh.yimiao.main.data.service.MedFactoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class MedFactoryServiceImpl implements MedFactoryService {

@Autowired
private MedFactoryMapper medFactoryMapper;

@Override
public void addMedFactory(MedFactory obj){medFactoryMapper.addMedFactory(obj);}
@Override
public void updateMedFactory(MedFactory obj){medFactoryMapper.updateMedFactory(obj);}
@Override
public void deleteMedFactory (String id){medFactoryMapper.deleteMedFactory(id);}
@Override
public MedFactory getMedFactory (String id){return medFactoryMapper.getMedFactory(id);}
@Override
public int queryMedFactoryCount (MedFactoryQuery query){return medFactoryMapper.queryMedFactoryCount(query);}
@Override
public List<MedFactory> queryMedFactory (MedFactoryQuery query){if (query.getNeed() != null) {query.mysqlBuild(medFactoryMapper.queryMedFactoryCount(query));}return medFactoryMapper.queryMedFactory(query);}

}