package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedGuardianMapper;
import com.lymsh.yimiao.main.data.model.MedGuardian;
import com.lymsh.yimiao.main.data.model.MedGuardianQuery;
import com.lymsh.yimiao.main.data.service.MedGuardianService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class MedGuardianServiceImpl implements MedGuardianService {

@Autowired
private MedGuardianMapper medGuardianMapper;

@Override
public void addMedGuardian(MedGuardian obj){medGuardianMapper.addMedGuardian(obj);}
@Override
public void updateMedGuardian(MedGuardian obj){medGuardianMapper.updateMedGuardian(obj);}
@Override
public void deleteMedGuardian (Integer id){medGuardianMapper.deleteMedGuardian(id);}
@Override
public MedGuardian getMedGuardian (String id){return medGuardianMapper.getMedGuardian(id);}
@Override
public int queryMedGuardianCount (MedGuardianQuery query){return medGuardianMapper.queryMedGuardianCount(query);}
@Override
public List<MedGuardian> queryMedGuardian (MedGuardianQuery query){if (query.getNeed() != null) {query.mysqlBuild(medGuardianMapper.queryMedGuardianCount(query));}return medGuardianMapper.queryMedGuardian(query);}

}