package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedKidsMapper;
import com.lymsh.yimiao.main.data.model.KidInoculationRecords;
import com.lymsh.yimiao.main.data.model.MedInoculateRecordQuery;
import com.lymsh.yimiao.main.data.model.MedKids;
import com.lymsh.yimiao.main.data.model.MedKidsQuery;
import com.lymsh.yimiao.main.data.service.MedKidsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class MedKidsServiceImpl implements MedKidsService {

@Autowired
private MedKidsMapper medKidsMapper;

@Override
public void addMedKids(MedKids obj){medKidsMapper.addMedKids(obj);}
@Override
public void updateMedKids(MedKids obj){medKidsMapper.updateMedKids(obj);}
@Override
public void deleteMedKids (Integer id){medKidsMapper.deleteMedKids(id);}
@Override
public MedKids getMedKids (String id){return medKidsMapper.getMedKids(id);}
@Override
public int queryMedKidsCount (MedKidsQuery query){return medKidsMapper.queryMedKidsCount(query);}
@Override
public List<MedKids> queryMedKids (MedKidsQuery query){if (query.getNeed() != null) {query.mysqlBuild(medKidsMapper.queryMedKidsCount(query));}return medKidsMapper.queryMedKids(query);}

    @Override
    public List<KidInoculationRecords> queryInoculationRecords(MedInoculateRecordQuery query) {
        return medKidsMapper.queryInoculationRecords(query);
    }

    @Override
    public List<KidInoculationRecords> queryInoculationRecord(String kidId) {
        return medKidsMapper.queryInoculationRecord(kidId);
    }
}