package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.MedVaccineInfoMapper;
import com.lymsh.yimiao.main.data.model.MedVaccineInfo;
import com.lymsh.yimiao.main.data.model.MedVaccineInfoQuery;
import com.lymsh.yimiao.main.data.service.MedVaccineInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MedVaccineInfoServiceImpl implements MedVaccineInfoService {

@Autowired
private MedVaccineInfoMapper medVaccineinfoMapper;

@Override
public void addMedVaccineInfo(MedVaccineInfo obj){medVaccineinfoMapper.addMedVaccineInfo(obj);}
@Override
public void updateMedVaccineInfo(MedVaccineInfo obj){medVaccineinfoMapper.updateMedVaccineInfo(obj);}
@Override
public void deleteMedVaccineInfo (Integer id){medVaccineinfoMapper.deleteMedVaccineInfo(id);}
@Override
public MedVaccineInfo getMedVaccineInfo (String id){return medVaccineinfoMapper.getMedVaccineInfo(id);}
@Override
public int queryMedVaccineInfoCount (MedVaccineInfoQuery query){return medVaccineinfoMapper.queryMedVaccineInfoCount(query);}
@Override
public List<MedVaccineInfo> queryMedVaccineInfo (MedVaccineInfoQuery query){if (query.getNeed() != null) {query.mysqlBuild(medVaccineinfoMapper.queryMedVaccineInfoCount(query));}return medVaccineinfoMapper.queryMedVaccineInfo(query);}

}