package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.YmFeedBacksMapper;
import com.lymsh.yimiao.main.data.model.YmFeedBacks;
import com.lymsh.yimiao.main.data.model.YmFeedBacksQuery;
import com.lymsh.yimiao.main.data.service.YmFeedBacksService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class YmFeedBacksServiceImpl implements YmFeedBacksService {

    @Autowired
    private YmFeedBacksMapper ymFeedbacksMapper;

    @Override
    public void addYmFeedBacks(YmFeedBacks obj) {
        ymFeedbacksMapper.addYmFeedBacks(obj);
    }

    @Override
    public void updateYmFeedBacks(YmFeedBacks obj) {
        ymFeedbacksMapper.updateYmFeedBacks(obj);
    }

    @Override
    public void deleteYmFeedBacks(Integer id) {
        ymFeedbacksMapper.deleteYmFeedBacks(id);
    }

    @Override
    public YmFeedBacks getYmFeedBacks(Integer id) {
        return ymFeedbacksMapper.getYmFeedBacks(id);
    }

    @Override
    public int queryYmFeedBacksCount(YmFeedBacksQuery query) {
        return ymFeedbacksMapper.queryYmFeedBacksCount(query);
    }

    @Override
    public List<YmFeedBacks> queryYmFeedBacks(YmFeedBacksQuery query) {
        if (query.getNeed() != null) {
            query.mysqlBuild(ymFeedbacksMapper.queryYmFeedBacksCount(query));
        }
        return ymFeedbacksMapper.queryYmFeedBacks(query);
    }

}