package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.YmPushMessagesMapper;
import com.lymsh.yimiao.main.data.model.YmPushMessages;
import com.lymsh.yimiao.main.data.model.YmPushMessagesQuery;
import com.lymsh.yimiao.main.data.service.YmPushMessagesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class YmPushMessagesServiceImpl implements YmPushMessagesService {

@Autowired
private YmPushMessagesMapper ymPushMessagesMapper;

@Override
public void addYmPushMessages(YmPushMessages obj){ymPushMessagesMapper.addYmPushMessages(obj);}
@Override
public void updateYmPushMessages(YmPushMessages obj){ymPushMessagesMapper.updateYmPushMessages(obj);}
@Override
public void deleteYmPushMessages (Integer id){ymPushMessagesMapper.deleteYmPushMessages(id);}
@Override
public YmPushMessages getYmPushMessages (Integer id){return ymPushMessagesMapper.getYmPushMessages(id);}
@Override
public int queryYmPushMessagesCount (YmPushMessagesQuery query){return ymPushMessagesMapper.queryYmPushMessagesCount(query);}
@Override
public List<YmPushMessages> queryYmPushMessages (YmPushMessagesQuery query){if (query.getNeed() != null) {query.mysqlBuild(ymPushMessagesMapper.queryYmPushMessagesCount(query));}return ymPushMessagesMapper.queryYmPushMessages(query);}

}