package com.lymsh.yimiao.main.data.service.impl;

import com.lymsh.yimiao.main.data.dao.YmUsersMapper;
import com.lymsh.yimiao.main.data.model.YmUsers;
import com.lymsh.yimiao.main.data.model.YmUsersQuery;
import com.lymsh.yimiao.main.data.service.YmUsersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class YmUsersServiceImpl implements YmUsersService {

    @Autowired
    private YmUsersMapper ymUsersMapper;

    @Override
    public void addYmUsers(YmUsers obj) {
        ymUsersMapper.addYmUsers(obj);
    }

    @Override
    public void updateYmUsers(YmUsers obj) {
        ymUsersMapper.updateYmUsers(obj);
    }

    @Override
    public void deleteYmUsers(Integer id) {
        ymUsersMapper.deleteYmUsers(id);
    }

    @Override
    public YmUsers getYmUsers(Integer id) {
        return ymUsersMapper.getYmUsers(id);
    }

    @Override
    public int queryYmUsersCount(YmUsersQuery query) {
        return ymUsersMapper.queryYmUsersCount(query);
    }

    @Override
    public List<YmUsers> queryYmUsers(YmUsersQuery query) {
        if (query.getNeed() != null) {
            query.mysqlBuild(ymUsersMapper.queryYmUsersCount(query));
        }
        return ymUsersMapper.queryYmUsers(query);
    }

    @Override
    public YmUsers getUsersByLoginCenterId(Integer id){
        return ymUsersMapper.getUsersByLoginCenterId(id);
    }
}