package com.lymsh.yimiao.main.data.util;


import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.NameValuePair;
import org.apache.commons.httpclient.methods.GetMethod;
import org.apache.commons.httpclient.methods.PostMethod;
import org.apache.commons.httpclient.methods.PutMethod;

import java.io.IOException;

/**
 * Created by riecard on 15/8/13.
 */
public class MessageUtil {

    public static boolean send(String mobile, String content) {
        HttpClient client = new HttpClient();
        PostMethod post = new UTF8PostMethod("http://sdkhttp.eucp.b2m.cn/sdkproxy/sendsms.action");
        NameValuePair[] data = {
                new NameValuePair("cdkey", "3SDK-EMY-0130-KCQNN"),
                new NameValuePair("password", "155866"),
                new NameValuePair("phone", mobile),
                new NameValuePair("message", content),
        };
        post.setRequestBody(data);
        try {
            client.executeMethod(post);
            int statusCode = post.getStatusCode();
            System.out.println("statusCode:" + statusCode);
            String result = new String(post.getResponseBodyAsString());
            System.out.println(result);
            post.releaseConnection();
            if (result != null && result.indexOf("<error>0") > 0) {
                return true;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return false;
    }





    public static class UTF8PostMethod extends PostMethod {
        public UTF8PostMethod(String url) {
            super(url);
        }

        @Override
        public String getRequestCharSet() {
            //return super.getRequestCharSet();
            return "UTF-8";
        }
    }

    public static class UTF8PutMethod extends PutMethod {
        public UTF8PutMethod(String url){
            super(url);
        }
        @Override
        public String getRequestCharSet() {
            //return super.getRequestCharSet();
            return "UTF-8";
        }
    }


    public static class UTF8GetMethod extends GetMethod {
        public UTF8GetMethod(String url){
            super(url);
        }
        @Override
        public String getRequestCharSet() {
            //return super.getRequestCharSet();
            return "UTF-8";
        }
    }

    public static void main(String[] arsg) {
        send("18048563317", "妊娠是一件既幸福又痛苦的事：幸福是将为人母的一种执着和感觉，而来自内心的痛苦却是一种实实在在的体会。http://t.cn/RGQeGtf");
    }

}
