package com.lyms.yimiao.web.controller;

import javax.servlet.http.HttpServletResponse;

import com.lymsh.mommybaby.basecommon.base.BaseController;
import com.lymsh.mommybaby.basecommon.bean.CommonResult;
import com.lymsh.yimiao.main.data.model.YmUsers;
import com.lymsh.yimiao.main.data.model.YmUsersQuery;
import com.lymsh.yimiao.main.data.service.YmUsersService;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.lymsh.mommybaby.basecommon.util.ResultUtils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 添加类的一句话简单描述。
 * <p>
 * 详细描述
 * <p>
 * 示例代码
 * 
 * <pre>
 * </pre>
 * 
 * @author In_Home
 * @version BME V100R001 2016-4-8
 * @since BME V100R001C40B104
 */
@Controller
public class TestController extends BaseController{

    @Autowired
    private YmUsersService ymUserService;

    /**
     * 调测日志记录器。
     */
    private static final Log LOGGER = LogFactory.getLog(TestController.class);

    @RequestMapping(value = "/test", method = RequestMethod.GET)
    public void testMethod(HttpServletResponse httpServletResponse) {
        //ResultUtils.buildSuccessResultAndWrite(httpServletResponse);

        YmUsersQuery query = new YmUsersQuery();
        query.setYn(1);
        List<YmUsers> ymUserList = ymUserService.queryYmUsers(query);

        List<Map> list = new ArrayList<>();

        for (YmUsers data : ymUserList){
            Map<String,Object> map = new HashMap<>();
            map.put("id",data.getId());
            map.put("nickname",data.getNickname());
            list.add(map);
        }
        CommonResult result = new CommonResult();
        result.setList(list);
        ResultUtils.buildSuccessResultAndWrite(httpServletResponse,result);

    }
}
